---

# A role that runs on the control machine (localhost),
# where we expect to have 'kubectl' available and the local
# kubernetes k3s configuration file.

- include_tasks: pre-flight-checks.yml

# Add...

- name: Check deployments
  shell: kubectl get deploy -n kube-system
  register: deploy_result
  changed_when: false

- name: Add metrics
  shell: kubectl --kubeconfig={{ local_config_file }}
    apply -f {{ role_path }}/files/metrics-server
  when: '"metrics-server" not in deploy_result.stdout'

- name: Wait for metrics pods
  shell: >-
    kubectl --kubeconfig={{ local_config_file }}
    get pods --no-headers -n kube-system
    | grep Running | grep '^{{ item }}'
  delay: 20
  retries: "{{ (pod_start_timeout|int / 20)|int }}"
  register: pod_result
  until: pod_result.rc == 0
  changed_when: false
  loop:
  - metrics-server
